// Query feature capability, provided by Joost Nieuwenhuijse

#include "filter.h"

// query for a boolean or integer feature
int queryFeatureInt(const char *name, int *result)
{
  if(strcmp(name,"cperror_is_dist_sphere")==0)
  {
    // return true if the optimizer reports angular control point errors
    // for equirectangular panoramas
    *result=1;
    return 1;
  }
  return 0;
}

// query for a floating point feature
int queryFeatureDouble(const char *name, double *result)
{
  if(strcmp(name,"max_fisheye_fov")==0)
  {
    *result=MAX_FISHEYE_FOV;
    return 1;
  }
  return 0;
}

// query for a string feature
// caller should allocate the result buffer and set bufsize 
// to the size of the buffer
int queryFeatureString(const char *name,char *result, const int bufsize)
{
  if(strcmp(name,"versiontxt")==0)
  {
    strncpy(result,"Version 2.7 RLbeta2",bufsize);
    if(bufsize > 0) result[bufsize-1]=0;
    return 1;
  }
  return 0;
}